Package org.bukkit.event.weather

# Enum Class LightningStrikeEvent.Cause

java.lang.Object
java.lang.Enum<LightningStrikeEvent.Cause>
org.bukkit.event.weather.LightningStrikeEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<LightningStrikeEvent.Cause>`, `Constable`

Enclosing class:
  LightningStrikeEvent

public static enum LightningStrikeEvent.Cause extends Enum<LightningStrikeEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMAND`
Triggered by the /summon command.
`CUSTOM`
Triggered by a Plugin.
`SPAWNER`
Triggered by a Spawner.
`TRAP`
Triggered by a skeleton horse trap.
`TRIDENT`
Triggered by an enchanted trident.
`UNKNOWN`
Unknown trigger.
`WEATHER`
Triggered by weather.

## Method Summary

Modifier and Type
Method
Description
`static LightningStrikeEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LightningStrikeEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMAND

public static final LightningStrikeEvent.Cause COMMAND
Triggered by the /summon command.

### CUSTOM

public static final LightningStrikeEvent.Cause CUSTOM
Triggered by a Plugin.

### SPAWNER

public static final LightningStrikeEvent.Cause SPAWNER
Triggered by a Spawner.

### TRIDENT

public static final LightningStrikeEvent.Cause TRIDENT
Triggered by an enchanted trident.

### TRAP

public static final LightningStrikeEvent.Cause TRAP
Triggered by a skeleton horse trap.

### WEATHER

public static final LightningStrikeEvent.Cause WEATHER
Triggered by weather.

### UNKNOWN

public static final LightningStrikeEvent.Cause UNKNOWN
Unknown trigger.

## Method Details

### values

public static LightningStrikeEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LightningStrikeEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null